workfile fcst2input u 1 48

smpl 1 48

group gxy x y
freeze(Figure21) gxy.scat
Figure21.scale(left) range(5, 15)
Figure21.scale(bottom) range(-3, 4)
Figure21.addtext(b) x
Figure21.addtext(l) y
Figure21.addtext(t) Figure 2.1 Scatterplot of y versus x
Figure21.legend -display
Figure21.setelem symbol(6)
Figure21.options -color

freeze(Figure22) gxy.linefit
Figure22.scale(left) range(5, 15)
Figure22.scale(bottom) range(-3, 4)
Figure22.addtext(b) x
Figure22.addtext(l) y
Figure22.addtext(t) Figure 2.2 Scatterplot of y versus x with Regression Line Superimposed
Figure22.legend -display
Figure22.setelem symbol(6)
Figure22.options -color

group gzy z y
freeze(Figure23) gzy.linefit
Figure23.scale(left) range(5, 15)
Figure23.scale(bottom) range(-3, 3)
Figure23.addtext(b) z
Figure23.addtext(l) y
Figure23.addtext(t) Figure 2.3 Scatterplot of y versus z with Regression Line Superimposed
Figure23.legend -display
Figure23.setelem symbol(6)
Figure23.options -color

equation tableA1.ls y c x z
freeze(Figure24) tableA1.resids
Figure24.scale(left) range(-4, 4)
Figure24.scale(right) range(5, 15)
Figure24.scale(bottom) range(1, 48)
Figure24.legend display
Figure24.addtext(t) Figure 2.4 Residual Plot for the Regression of y on x and z
Figure24.setelem(1) linepattern(1)
Figure24.setelem(2) linepattern(2)
Figure24.setelem(3) linepattern(3)
Figure24.options -color

show Figure21
show Figure22
show Figure23
show Figure24
show tablea1

