workfile fcst9input q 1961q1 2010q4

smpl 1962q1 1993q4
equation ma4.ls caemp c ma(1) ma(2) ma(3) ma(4)
genr history = caemp

smpl 1994:1 1996:4
ma4.forecast yhat se
genr fcst=yhat
genr yhatplus=yhat+1.96*se
genr yhatminus=yhat-1.96*se

smpl 1990:1 1994:4
group fig91 history fcst yhatplus yhatminus
freeze(Figure91) fig91.line
Figure91.addtext(t) Figure 9.1 Employment History and Forecast MA(4) Model
Figure91.addtext(l) History and Forecast
Figure91.addtext(b) Time
Figure91.scale(left) range(80,120)
Figure91.datelabel format(yy:q)
Figure91.legend -display
Figure91.setelem symbol(none)
Figure91.options -color
Figure91.axis(a) label
Figure91.setelem(1) linepattern(1)
Figure91.setelem(2) linepattern(2)
Figure91.setelem(3) linepattern(2)
Figure91.setelem(4) linepattern(2)
Figure91.draw(shade, bottom) 1994:1 1994:4

smpl 1990:1 1996:4
group fig92 history fcst yhatplus yhatminus
freeze(Figure92) fig92.line
Figure92.addtext(t) Figure 9.2 Employment History and Long-Horizon Forecast MA(4) Model
Figure92.addtext(l) History and Forecast
Figure92.addtext(b) Time
Figure92.scale(left) range(80,120)
Figure92.datelabel format(yyyy)
Figure92.legend -display
Figure92.setelem symbol(none)
Figure92.options -color
Figure92.axis(a) label
Figure92.setelem(1) linepattern(1)
Figure92.setelem(2) linepattern(2)
Figure92.setelem(3) linepattern(2)
Figure92.setelem(4) linepattern(2)
Figure92.draw(shade, bottom) 1994:1 1996:4

smpl 1990:1 1994:4 
group fig93 caemp fcst yhatplus yhatminus
freeze(Figure93) fig93.line
Figure93.addtext(t) Figure 9.3 Employment History, Forecast and Realization MA(4) Model
Figure93.addtext(l) History, Forecast and Realization
Figure93.addtext(b) Time
Figure93.scale(left) range(80,120)
Figure93.datelabel format(yy:q)
Figure93.legend -display
Figure93.setelem symbol(none)
Figure93.options -color
Figure93.axis(a) label
Figure93.setelem(1) linepattern(1)
Figure93.setelem(2) linepattern(2)
Figure93.setelem(3) linepattern(2)
Figure93.setelem(4) linepattern(2)
Figure93.draw(shade, bottom) 1994:1 1994:4

smpl 1962:1 1993:4
equation ar2.ls caemp c ar(1) ar(2)
smpl 1994:1 2010:4
ar2.forecast yhat se
genr fcst2=yhat
genr yhatplus2=yhat+1.96*se
genr yhatminus2=yhat-1.96*se

smpl 1990:1 1994:4
group fig94 history fcst2 yhatplus2 yhatminus2
freeze(Figure94) fig94.line
Figure94.addtext(t) Figure 9.4 Employment History and Forecast AR(2) Model
Figure94.addtext(l) History and Forecast
Figure94.addtext(b) Time
Figure94.scale(left) range(80,105)
Figure94.datelabel format(yy:q)
Figure94.legend -display
Figure94.setelem symbol(none)
Figure94.options -color
Figure94.axis(a) label
Figure94.setelem(1) linepattern(1)
Figure94.setelem(2) linepattern(2)
Figure94.setelem(3) linepattern(2)
Figure94.setelem(4) linepattern(2)
Figure94.draw(shade, bottom) 1994:1 1994:4

smpl 1990:1 1996:4
group fig95 history fcst2 yhatplus2 yhatminus2
freeze(Figure95) fig95.line
Figure95.addtext(t) Figure 9.5 Employment History and Long-Horizon Forecast AR(2) Model
Figure95.addtext(l) History and Forecast
Figure95.addtext(b) Time
Figure95.scale(left) range(80,110)
Figure95.datelabel format(yyyy)
Figure95.legend -display
Figure95.setelem symbol(none)
Figure95.options -color
Figure95.axis(a) label
Figure95.setelem(1) linepattern(1)
Figure95.setelem(2) linepattern(2)
Figure95.setelem(3) linepattern(2)
Figure95.setelem(4) linepattern(2)
Figure95.draw(shade, bottom) 1994:1 1996:4

smpl 1990:1 2010:4
group fig96 history fcst2 yhatplus2 yhatminus2
freeze(Figure96) fig96.line
Figure96.addtext(t) Figure 9.6 Employment History and Very Long-Horizon Forecast AR(2) Model
Figure96.addtext(l) History and Forecast
Figure96.addtext(b) Time
Figure96.scale(left) range(80,120)
Figure96.datelabel format(yy)
Figure96.legend -display
Figure96.setelem symbol(none)
Figure96.options -color
Figure96.axis(a) label
Figure96.setelem(1) linepattern(1)
Figure96.setelem(2) linepattern(2)
Figure96.setelem(3) linepattern(2)
Figure96.setelem(4) linepattern(2)
Figure96.draw(shade, bottom) 1994:1 2010:4

smpl 1990:1 1994:4
group fig97 caemp fcst2 yhatplus2 yhatminus2
freeze(Figure97) fig97.line
Figure97.addtext(t) Figure 9.7 Employment History, Forecast and Realization AR(2) Model
Figure97.addtext(l) History, Forecast and Realization
Figure97.addtext(b) Time
Figure97.scale(left) range(80,105)
Figure97.datelabel format(yy:q)
Figure97.legend -display
Figure97.setelem symbol(none)
Figure97.options -color
Figure97.axis(a) label
Figure97.setelem(1) linepattern(1)
Figure97.setelem(2) linepattern(2)
Figure97.setelem(3) linepattern(2)
Figure97.setelem(4) linepattern(2)
Figure97.draw(shade, bottom) 1994:1 1994:4

show Figure91
show Figure92
show Figure93
show Figure94
show Figure95
show Figure96
show Figure97

