workfile fcst4_anscombeinput u 1 11

smpl 1 11

equation tableY1.ls y1 c x1
equation tableY2.ls y2 c x2
equation tableY3.ls y3 c x3
equation tableY4.ls y4 c x4

show tableY1
show tableY2
show tableY3
show tableY4

group gx1y1 x1 y1
freeze(fig411) gx1y1.linefit
fig411.scale(left) range(0, 14)
fig411.scale(bottom) range(0, 20)
fig411.addtext(b) X1
fig411.addtext(l) Y1
fig411.legend -display
fig411.setelem symbol(6)
fig411.options -color

group gx2y2 x2 y2
freeze(fig412) gx2y2.linefit
fig412.scale(left) range(0, 14)
fig412.scale(bottom) range(0, 20)
fig412.addtext(b) X2
fig412.addtext(l) Y2
fig412.legend -display
fig412.setelem symbol(6)
fig412.options -color

group gx3y3 x3 y3
freeze(fig413) gx3y3.linefit
fig413.scale(left) range(0, 14)
fig413.scale(bottom) range(0, 20)
fig413.addtext(b) X3
fig413.addtext(l) Y3
fig413.legend -display
fig413.setelem symbol(6)
fig413.options -color

group gx4y4 x4 y4
freeze(fig414) gx4y4.linefit
fig414.scale(left) range(0, 14)
fig414.scale(bottom) range(0, 20)
fig414.addtext(b) X4
fig414.addtext(l) Y4
fig414.legend -display
fig414.setelem symbol(6)
fig414.options -color

freeze(Figure41) fig411 fig412 fig413 fig414
Figure41.addtext(t) Figure 1 Anscombes Quartet Bivariate Scatterplots
Figure41.align(2,2,2)

show Figure41

