workfile fcst4_interestinput m 1953m04 2005m03

smpl 1960m01 2005m03

genr cy1=y1 - y1(-1)


graph Figure42.line y1
Figure42.addtext(t) Figure 4.2 1-Year Treasury Bond Rate
Figure42.addtext(b) Time
Figure42.addtext(l) Rate
Figure42.scale(left) range(0,20)
Figure42.datelabel format(yy)
Figure42.legend -display
Figure42.setelem symbol(none)
Figure42.options -color
Figure42.options linesolid
Figure42.axis(a) label

graph Figure43.line cy1
Figure43.addtext(t) Figure 4.3 Change in 1-Year Treasury Bond Rate
Figure43.addtext(b) Time
Figure43.addtext(l) Change in Rate
Figure43.scale(left) range(-4,2)
Figure43.datelabel format(yy)
Figure43.legend -display
Figure43.setelem symbol(none)
Figure43.options -color
Figure43.options linesolid
Figure43.axis(a) label

freeze(Figure45) cy1.hist
Figure45.addtext(t) Figure 4.5 Histogram and Descriptive Statistics Change in 1-Year Treasury Bond Rate
Figure45.addtext(b) Change in Rate
Figure45.addtext(l) Occurrences
Figure45.scale(left) range(0,200)
Figure45.setelem fillgray(15)
Figure45.options -color
Figure45.axis(a) label

group gy10y1 y10 y1
freeze(Figure46) gy10y1.linefit
Figure46.addtext(t) Figure 4.6 Scatterplot: 1-Year versus 10-Year Treasury Bond Rate
Figure46.scale(left) range(0,20)
Figure46.scale(bottom) range(2,16)
Figure46.addtext(b) 10-Year Treasury Bond Rate
Figure46.addtext(l) 1-Year Treasury Bond Rate
Figure46.legend -display
Figure46.setelem symbol(6)
Figure46.options -color


freeze(fig471) gy10y1.linefit
fig471.scale(left) range(0, 20)
fig471.scale(bottom) range(2, 16)
fig471.addtext(b) 10-Year Treasury Bond Rate
fig471.addtext(l) 1-Year Treasury Bond Rate
fig471.legend -display
fig471.setelem symbol(6)
fig471.options -color

group gy20y1 y20 y1
freeze(fig472) gy20y1.linefit
fig472.scale(left) range(0, 20)
fig472.scale(bottom) range(2, 16)
fig472.addtext(b) 20-Year Treasury Bond Rate
fig472.addtext(l) 1-Year Treasury Bond Rate
fig472.legend -display
fig472.setelem symbol(6)
fig472.options -color

group gy30y1 y30 y1
freeze(fig473) gy30y1.linefit
fig473.scale(left) range(0, 20)
fig473.scale(bottom) range(2, 16)
fig473.addtext(b) 30-Year Treasury Bond Rate
fig473.addtext(l) 1-Year Treasury Bond Rate
fig473.legend -display
fig473.setelem symbol(6)
fig473.options -color

group gy20y10 y20 y10
freeze(fig474) gy20y10.linefit
fig474.scale(left) range(0, 20)
fig474.scale(bottom) range(2, 16)
fig474.addtext(b) 20-Year Treasury Bond Rate
fig474.addtext(l) 10-Year Treasury Bond Rate
fig474.legend -display
fig474.setelem symbol(6)
fig474.options -color

group gy30y10 y30 y10
freeze(fig475) gy30y10.linefit
fig475.scale(left) range(0, 20)
fig475.scale(bottom) range(2, 16)
fig475.addtext(b) 30-Year Treasury Bond Rate
fig475.addtext(l) 10-Year Treasury Bond Rate
fig475.legend -display
fig475.setelem symbol(6)
fig475.options -color

group gy30y20 y30 y20
freeze(fig476) gy30y20.linefit
fig476.scale(left) range(0, 20)
fig476.scale(bottom) range(2, 16)
fig476.addtext(b) 30-Year Treasury Bond Rate
fig476.addtext(l) 20-Year Treasury Bond Rate
fig476.legend -display
fig476.setelem symbol(6)
fig476.options -color

freeze(Figure47) fig471 fig472 fig473 fig474 fig475 fig476
Figure47.addtext(t) Figure 4.7 Scatterplot Matrix: 1-,10-,20-, and 30-Year Treasury Bond Rates
Figure47.align(3,2,2)

show Figure42
show Figure43
show Figure45
show Figure46
show Figure47

