workfile fcst8input q 1961q1 1994q4

smpl 1962q1 1993q4

equation Table81.ls caemp c ma(1) ma(2) ma(3) ma(4)
freeze(Figure812) Table81.resids
Figure812.scale(left) range(-10, 10)
Figure812.scale(right) range(80, 120)
Figure812.legend display
Figure812.addtext(t) Figure 8.12 Employment MA(4) Model Residual Plot
Figure812.datelabel format(yy)
Figure812.setelem(1) linepattern(1)
Figure812.setelem(2) linepattern(2)
Figure812.setelem(3) linepattern(3)
Figure812.options -color

freeze(Table82) Table81.correl(12)

equation Table83.ls caemp c ar(1) ar(2)
freeze(Figure814) Table83.resids
Figure814.scale(left) range(-4, 8)
Figure814.scale(right) range(80, 120)
Figure814.legend display
Figure814.addtext(t) Figure 8.14 Employment AR(2) Model Residual Plot
Figure814.datelabel format(yy)
Figure814.setelem(1) linepattern(1)
Figure814.setelem(2) linepattern(2)
Figure814.setelem(3) linepattern(3)
Figure814.options -color

freeze(Table84) Table83.correl(12)

table(8,7) Table85
Table85(2,5) = "MA Order"
Table85(6,1) = "AR Order"
Table85(1,1) = "Table 8.5 Employment AIC Values Various ARMA Models"

table(8,7) Table86
Table86(2,5) = "MA Order"
Table86(6,1) = "AR Order"
Table86(1,1) = "Table 8.6 Employment SIC Values Various ARMA Models"

for !i=0 to 4
  Table85(3,!i+3) = !i
  Table85(!i+4,2) = !i  
  Table86(3,!i+3) = !i
  Table86(!i+4,2) = !i
next

equation caemp_arma01.ls caemp c ma(1)
equation caemp_arma02.ls caemp c ma(1) ma(2)
equation caemp_arma03.ls caemp c ma(1) ma(2) ma(3)
equation caemp_arma04.ls caemp c ma(1) ma(2) ma(3) ma(4)
equation caemp_arma10.ls caemp c ar(1)
equation caemp_arma11.ls caemp c ar(1) ma(1)
equation caemp_arma12.ls caemp c ar(1) ma(1) ma(2)
equation caemp_arma13.ls caemp c ar(1) ma(1) ma(2) ma(3)
equation caemp_arma14.ls caemp c ar(1) ma(1) ma(2) ma(3) ma(4)
equation caemp_arma20.ls caemp c ar(1) ar(2)
equation caemp_arma21.ls caemp c ar(1) ar(2) ma(1)
equation caemp_arma22.ls caemp c ar(1) ar(2) ma(1) ma(2)
equation caemp_arma23.ls caemp c ar(1) ar(2) ma(1) ma(2) ma(3)
equation caemp_arma24.ls caemp c ar(1) ar(2) ma(1) ma(2) ma(3) ma(4)
equation caemp_arma30.ls caemp c ar(1) ar(2) ar(3)
equation caemp_arma31.ls caemp c ar(1) ar(2) ar(3) ma(1)
equation caemp_arma32.ls caemp c ar(1) ar(2) ar(3) ma(1) ma(2)
equation caemp_arma33.ls caemp c ar(1) ar(2) ar(3) ma(1) ma(2) ma(3)
equation caemp_arma34.ls caemp c ar(1) ar(2) ar(3) ma(1) ma(2) ma(3) ma(4)
equation caemp_arma40.ls caemp c ar(1) ar(2) ar(3) ar(4)
equation caemp_arma41.ls caemp c ar(1) ar(2) ar(3) ar(4) ma(1)
equation caemp_arma42.ls caemp c ar(1) ar(2) ar(3) ar(4) ma(1) ma(2)
equation caemp_arma43.ls caemp c ar(1) ar(2) ar(3) ar(4) ma(1) ma(2) ma(3)
equation caemp_arma44.ls caemp c ar(1) ar(2) ar(3) ar(4) ma(1) ma(2) ma(3) ma(4)

for !i=0 to 4
  for !j=0 to 4
    if !i > 0 or !j > 0 then
      Table85(!i+4,!j+3) = caemp_arma{!i}{!j}.@aic
      Table86(!i+4,!j+3) = caemp_arma{!i}{!j}.@schwarz
    endif
  next
next

equation Table87.ls caemp c ar(1) ar(2) ar(3) ma(1)
freeze(Figure816) Table87.resids
Figure816.scale(left) range(-4, 8)
Figure816.scale(right) range(80, 120)
Figure816.legend display
Figure816.addtext(t) Figure 8.16 Employment ARMA(3,1) Model Residual Plot
Figure816.datelabel format(yy)
Figure816.setelem(1) linepattern(1)
Figure816.setelem(2) linepattern(2)
Figure816.setelem(3) linepattern(3)
Figure816.options -color

freeze(Table88) Table87.correl(12)

show Table81
show Figure812
show Table82
show Table83
show Figure814
show Table84
show Table85
show Table86
show Table87
show Figure816
show Table88

